First time here? Check out the FAQ!
x

OS X 10.8 and MP Navigator compatibility

0 votes
asked by

I read your answer and went to the link that you suggested, downloading and installing MP Navigator EX 4.0 which your link offered. Unfortunately, that Navigator works with only a few model numbers and does not work with my CanoScan 8800 F. On the Canon website, I am unable to locate upgraded software beyond the 10.7 OS.
I am repeating this question since I forgot to attach my e-mail address.

1 Answer

0 votes
answered by

Wish I had an answer for you. I have the same problem with my CanoScan LiDE90 - MP Navigator crashes upon opening. The Canon website says I need to download MPNavigatorEX.X.X. Opener/CanoScanToolboz5.0Opener - but I have been unable to find it on their site. I am using 10.8 Mountain Lion. I hope someone comes up with a fix for this - Canon seems way behind and apple keeps releasing stuff that is not compatible with so much.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...